[mythtv-users] HD-PVR & 2.6.38 (Gentoo masochism)

Greg Mitchell greg at nodecam.com
Mon Apr 4 01:17:30 UTC 2011


Derek Stark wrote:
> Hey guys:
 >
> I'm just wondering, as of 2.6.38, what cocktail I need to get the HD-PVR 
> running--specifically the IR transmitter. The in-kernel drivers for the 
> HD-PVR seem to load and see the device (I have /dev/videoX, etc) but the 
> Myth wiki is really vague on whether I need the linuxtv.org 
> <http://linuxtv.org> driver set, what needs to be patched, ad nauseum. 

Having just gone through this - I can attest to how much conflicting 
information there is out there.

Here's a link to my 2.6.38-r1 config.  I didn't do much cleaning up of 
drivers etc, so you could probably diff it with a standard 
gentoo-sources kernel config and see my changes pretty easily:

http://dl.dropbox.com/u/1762934/2.6.38-r1.config

I had to build lirc 0.90 from an ebuild that I found here:
http://bugs.gentoo.org/show_bug.cgi?id=345833 - that ebuild requires 
stuff that's in the lirc portage directory, so you can't just drop it 
into your overlay - you'll have to copy the portage files to your 
overlay too.

I didn't emerge anything else, and I did not rebuild myth afterward.

Greg


More information about the mythtv-users mailing list